Bug 115515 - [BlackBerry] GraphicsContext: add missing definitions.
Summary: [BlackBerry] GraphicsContext: add missing definitions.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 111729
  Show dependency treegraph
 
Reported: 2013-05-02 06:54 PDT by Alberto Garcia
Modified: 2013-05-28 11:45 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.96 KB, patch)
2013-05-02 06:56 PDT, Alberto Garcia
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alberto Garcia 2013-05-02 06:54:59 PDT
PlatformGraphicsContext is not defined in GraphicsContext.h

RoundedRect is not defined in GraphicsContextBlackBerry.cpp
Comment 1 Alberto Garcia 2013-05-02 06:56:46 PDT
Created attachment 200312 [details]
Patch
Comment 2 Rob Buis 2013-05-08 14:31:16 PDT
Comment on attachment 200312 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=200312&action=review

> Source/WebCore/platform/graphics/blackberry/GraphicsContextBlackBerry.cpp:26
> +#include "RoundedRect.h"

Are you sure we need this?
Comment 3 Alberto Garcia 2013-05-09 04:56:30 PDT
(In reply to comment #2)
> > Source/WebCore/platform/graphics/blackberry/GraphicsContextBlackBerry.cpp:26
> > +#include "RoundedRect.h"
>
> Are you sure we need this?

Well, there's calls to RoundedRect::rect() and RoundedRect::radii() in
that file.

Why wouldn't we need it?
Comment 4 Rob Buis 2013-05-09 11:19:04 PDT
Comment on attachment 200312 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=200312&action=review

>> Source/WebCore/platform/graphics/blackberry/GraphicsContextBlackBerry.cpp:26
>> +#include "RoundedRect.h"
> 
> Are you sure we need this?

We do not use this internally so I think you should remove it from the patch.
Comment 5 Alberto Garcia 2013-05-09 11:37:52 PDT
(In reply to comment #4)
> >> +#include "RoundedRect.h"
>
> We do not use this internally so I think you should remove it from
> the patch.

But that's because we have that internally in Path.h, which I believe
is unnecessary.
Comment 6 Alberto Garcia 2013-05-16 23:59:22 PDT
I still think this is the best option because I don't see us including
RoundRect.h from Path.h

Or do you have any other suggestion?
Comment 7 Alberto Garcia 2013-05-21 02:14:02 PDT
Comment on attachment 200312 [details]
Patch

Requesting review again based on my previous comments.
Comment 8 Rob Buis 2013-05-27 10:34:30 PDT
Comment on attachment 200312 [details]
Patch

Patch is fine but please check if we need the GraphicsContextBlackBerry.cpp change.
Comment 9 WebKit Commit Bot 2013-05-28 11:45:54 PDT
Comment on attachment 200312 [details]
Patch

Clearing flags on attachment: 200312

Committed r150820: <http://trac.webkit.org/changeset/150820>
Comment 10 WebKit Commit Bot 2013-05-28 11:45:56 PDT
All reviewed patches have been landed.  Closing bug.